config/routes.rb
GSN::Application.routes.draw do

  match 'auth/:provider/callback', to: 'services#create', via: [:get, :post]
  match '/groups/create_group', to: 'groups#create_group', via: [:post]
  match 'auth/failure', to: redirect('/'), via: [:get, :post]
  get '/node_attribute/code_image/:id', to: 'node_attribute#code_image'
  resources :node_types 
  resources :node_attributes
  resources :users do
    member do
     get 'show_other_node'
     post 'create_relation'
    end
    collection do
      post 'show'      
    end
  end
  resources :user_identities
  resources :groups
  resources :group_types
  resources :sessions, only: [:new, :create, :destroy]

  match '/home',    to: 'static_pages#home',    via: 'get'
  match '/signup',  to: 'user_identities#new',       via: 'get'
  match '/signin',  to: 'sessions#new',         via: 'get'  
  match '/signout', to: 'sessions#destroy',     via: Rails.env.test? ? 'get' : 'delete'
  match 'confirm_user/:token', to: 'sessions#confirm_user', via: 'get', as: :confirmation

  root  'static_pages#home'

end

app/views/shared/_alert_message.html.erb
<% flash.each do |key, value| %>
	<div class="alert alert-<%= key %> alert-dismissable">
	  <button type="button" class="close" data-dismiss="alert" aria-hidden="true">&times;</button>
	  <p><%= value %></p>
	</div>
<% end %> 

app/views/shared/_error_messages.html.erb
<% if object.errors.any? %>
  <div id="error_explanation">
    <div class="alert alert-error">
      The form contains <%= pluralize(object.errors.count, "error") %>.
    </div>
    <ul>
    <% object.errors.full_messages.each do |msg| %>
      <li>* <%= msg %></li>
    <% end %>
    </ul>
  </div>
<% end %>

app/views/shared/_graph_script.html.erb
<script>

  graph_data = JSON.parse(('<%= raw [parsed_data.to_json][0].gsub("\\", "") %>'))
  console.log(graph_data)
  var node_ids=[]
  <% @check_node.each do |node| %> 
    node_ids.push(<%= node %>)
  <% end %>

  load_graph(graph_data, node_ids)

</script>

app/views/shared/_graph_template.html.erb
  <div id="node_edge_attr" style="display:none">
    <h4>Node Attributes</h4>  
    <div id="show_node_attrs"></div>
    <!-- <h4>Relation</h4>   -->
    <!-- <div id="show_rel_node"></div> -->
   <!--  <h4>Edge Attributes</h4> 
    <div id="show_edge_attrs"></div> -->
  </div>  
<%= link_to "Zoom Up | ", "javascript:void(0)", id: "zoomup_graph" %>  
<%= link_to "Zoom Down | ", "javascript:void(0)", id: "zoomdown_graph" %>  
<%= link_to "Center Graph", "javascript:void(0)", id: "centeralized_graph" %>  
<%= render "shared/left_menu" %>
    <!-- END SIGMA IMPORTS -->
<div id="container" >
  <div class="graph_side_container pull-left">
    <ul>
      <p>Groups</p>
      <ul><h4><%= link_to "My Groups", groups_path(identity: current_identity.uuid) %></h4>
      <% current_identity.groups.each do |group| %>
        <li>
          <%=link_to group.end_node.get_property(:name).try(:humanize), group_path(group.end_node.neo_id) %> 
        </li>          
        <% end %>
      </ul>

      <!-- <li><h4>Participating groups</h4></li> -->
      <ul><h4><%=link_to "Create new group", "javascript:void(0)", id: "new_group_create" %> </h4></ul>
      

    </ul>

  </div>

   <div class="pull-right graph_container_right" > <%= render "shared/search_node" if (controller_name=="users" or controller_name=="user_identities" ) and action_name=="show" %>

    <div id="selected_node_container" style="display: none; clear: both">
      <p id="selected_first_node" data-id=""></p>
      <p id="selected_second_node" data-id=""></p>
      <%= submit_tag "Reset node", id: "reset_node", class: "btn" %><br>
      <%= submit_tag "Add Relation", id: "add_relation_node", class: "btn btn-primary", style: "margin-top: 10px; display: none;" %>
     
    </div>
  </div>
  <style>
    #graph-container {
   /*   top: 0;
      bottom: 0;
      left: 0;
      right: 0;
      position: absolute;*/

      /*max-width: 500px;*/
    border: 1px solid gray;
    border-radius: 5px;
    width: 70%;
    height: 500px;
    margin: auto;
    }
  </style>
  <div id="graph-container"></div>
</div>

<%= render "shared/new_group_modal" %>

app/views/shared/_header_profile_modal.html.erb
<div class="modal fade" id="profileModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
        <h4 class="modal-title" id="myModalLabel">Modal title</h4>
      </div>
      <div class="modal-body" >       
       <div id="profile_modal_body_content" class="span10"></div>
        <ul class="nav remove_overlap">
          <li> <%=link_to "Modify Profile", edit_user_identity_path(current_identity) %></li>
        <% if signed_in? %>
          <% oauth_text = "Add another account" %>

           <li id="fat-menu-group" class="dropdown">
              <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                Add Group<b class="caret"></b>
              </a>
              <ul class="dropdown-menu">
                <li><%= link_to "Node Attributes", node_attributes_path %></li>              
                <li><%= link_to "Node Types", node_types_path %></li>              
                <li><%= link_to "Group Types", group_types_path %></li>              
                   
                <li class="divider"></li>                
              </ul>
            </li>
            
		<% else %>
		  <% oauth_text = "Sign up with" %>
		<% end %>
		 
		    <li id="fat-menu" class="dropdown">
		               <a href="#" class="dropdown-toggle" data-toggle="dropdown">
                 <%= oauth_text %> <b class="caret"></b>
               </a>
               <ul class="dropdown-menu">
                 <li><%= link_to "Basic", signup_path, id: "sign_in" %></li>
                 <li><%= link_to "Facebook", "/auth/facebook", id: "sign_in" %></li>
                 <li><%= link_to "Twitter", "/auth/twitter", id: "sign_in" %></li>
                 <li><%= link_to "Linkedin", "/auth/linkedin", id: "sign_in" %></li>
                 <li><%= link_to "Google +", "/auth/gplus", id: "sign_in" %></li>
                 <li class="divider"></li>                
               </ul>
            </li>
          </ul>

             <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
        <!-- <button type="button" class="btn btn-primary">Save changes</button> -->
      </div>
    </div>
  </div>
</div>
</div>

app/views/shared/_left_menu.html.erb
<%# left_menu = get_left_menu_data %>
<%# left_menu.each do |data| %>
	<%#=data %>
	<%#end %>

app/views/shared/_new_group_modal.html.erb
<div class="modal fade" id="newnodeModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
        <h4 class="modal-title" id="myModalLabel">Modal title</h4>
      </div>
      <div class="modal-body" >       
       <div class="span10"></div>

        <%= form_tag "/groups/create_group", method: :post, remote: :true do %>      
          <p>
            <span> Name</span>
            <%= text_field_tag "group[name]" %>
          </p>

          <p>
            <span> Description</span>
            <%= text_area_tag "group[description]" %>
          </p>

          <p>
            <span> Privacy</span>
            <%= select_tag "group[privacy]", options_for_select(privacy_tags), {:prompt => "--select privacy--"}%>
          </p>


      <div class="modal-footer">
        <%= submit_tag "Create", class: "btn btn-primary", style: "width:20%" %>
        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
      </div>
        <% end %>
    </div>
  </div>
</div>
</div>

app/views/shared/_node_modal.html.erb
<div class="modal fade" id="nodeModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
        <h4 class="modal-title" id="myModalLabel">Modal title</h4>
      </div>
      <div class="modal-body" >       
       <div id="modal_body_content" class="span10"></div>
       <!--  <a class="btn pop"  rel="popover" href="javascript:void(0)" data-original-title="A Title" data-container="body"
        data-content="And here's some amazing content.It's very engaging. right? And another thing about this is a that it's really long.  When I say  long I mean really, really long.  Super, duper long.  There is even more text that makes it longer.  Why do I need so much text in my modal?  It's so long that the top gets cut off by the modal header.  How do I fix this?">
            Click to toggle popover
         </a> -->
        <div class="pull-right modal_action_btn" >
        <div class="pull-right">
           <a class="btn btn-primary" href="javascript:void(0)" rel="tooltip" title="" data-original-title="A Title" data-container="body" data-html="true" id="node_prop_tooltip" >Attributes</a>
        </div>

        <div class="pull-right">
           <a class="btn btn-primary" href="javascript:void(0)" rel="tooltip" title="" data-original-title="A Title" data-container="body" data-html="true" id="edge_prop_tooltip" >Relations</a>
        </div>
      </div>

      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
        <!-- <button type="button" class="btn btn-primary">Save changes</button> -->
      </div>
    </div>
  </div>
</div>
</div>

app/views/shared/_relation_modal.html.erb
<div class="modal fade" id="relationModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true" style="display:none">
  <div class="modal-dialog">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
        <h4 class="modal-title" id="myModalLabel">Modal title</h4>
      </div>
      <div class="modal-body" >
       <%= form_tag create_relation_user_path(current_identity.id), method: :post do %>        
       <div id="rel_modal_body" class="span10">

         <%= hidden_field_tag "start_node", "", id: "start_node_modal" %>
         <%= hidden_field_tag "end_node", "", id: "end_node_modal" %>
         <h2>Relationship</h2>
         <%= text_field_tag "relationship[type]", "", placeholder: "Relationship Name" %> 
        <div class="modal_relation_attr">
          
             <ul>
               <li> Name </li>
               <li> Value </li>
             </ul>
             <ul>
               <li><%= text_field_tag "relationship[0][name]" %> </li>
               <li><%= text_field_tag "relationship[0][value]" %> </li>
             </ul> 
             <ul>
               <li><%= text_field_tag "relationship[1][name]" %> </li>
               <li><%= text_field_tag "relationship[1][value]" %> </li>
             </ul> 
             <ul>
               <li><%= text_field_tag "relationship[2][name]" %> </li>
               <li><%= text_field_tag "relationship[2][value]" %> </li>
             </ul>
                
         </div>
       </div>
       <!--  <a class="btn pop"  rel="popover" href="javascript:void(0)" data-original-title="A Title" data-container="body"
        data-content="And here's some amazing content.It's very engaging. right? And another thing about this is a that it's really long.  When I say  long I mean really, really long.  Super, duper long.  There is even more text that makes it longer.  Why do I need so much text in my modal?  It's so long that the top gets cut off by the modal header.  How do I fix this?">
            Click to toggle popover
         </a> -->
   <!--      <div class="pull-right modal_action_btn" >
        <div class="pull-right">
           <a class="btn btn-primary" href="javascript:void(0)" rel="tooltip" title="" data-original-title="A Title" data-container="body" data-html="true" id="node_prop_tooltip" >Attributes</a>
        </div>

        <div class="pull-right">
           <a class="btn btn-primary" href="javascript:void(0)" rel="tooltip" title="" data-original-title="A Title" data-container="body" data-html="true" id="edge_prop_tooltip" >Relations</a>
        </div>
      </div> -->

      <div class="modal-footer">
        <button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
        <%= submit_tag "Save", class: "btn btn-primary", style: "width: 30%" %>
        <!-- <button type="button" class="btn btn-primary">Save changes</button> -->
      </div>
      <% end %>
    </div>
  </div>
</div>
</div>

app/views/shared/_search_node.html.erb
<div class="pull-left">
	<%= form_tag users_path, class: "form_search_field", remote: true do %>  
	  <%= search_field_tag :search_node, "", placeholder: "Search"%>
	  <%= submit_tag "Submit"%>
	<% end %>
</div>

app/views/shared/_user_info.html.erb
<%#= link_to gravatar_for(current_user, size: 52), current_user %>
<h1>
  <%= current_user.full_name %>
</h1>
<span>
  <table class="table table-bordered">
  <!-- <th>Provider</th>	 -->
  <th>Email</th>	
  <th>Nickname</th> 
  <th>Country</th>	
  <th></th>	
  <% current_user.identities.each do |identity| %>
   <tr>
   	<!-- <td> <%#= identity.provider.try(:humanize) %></td> -->
   	<td> <%= identity.email %></td>
    <td> <%= identity.nickname %></td>
   	<td> <%= identity.country %></td>
   	<td> <%= link_to "view my profile", identity %></td>
   
  </tr>
  <% end %>
  <table>
</span>